version: "3.9"

services:
  mcp-server:
    build: .
    container_name: mcp-server
    restart: unless-stopped
    ports:
      - "0.0.0.0:7860:7860"
    environment:
      PORT: 7860
      RECS_DB_PATH: /data/recommender_system.db
    volumes:
      - mcp_data:/data
      - ./logs:/app/logs
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:7860/"]
      interval: 30s
      timeout: 5s
      retries: 3

volumes:
  mcp_data:
